Bug 217158 - LDAP failed with assertion when using oneshot connections
LDAP failed with assertion when using oneshot connections
Product: Fedora
Classification: Fedora
Component: nss_ldap (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2006-11-24 09:13 EST by Henning Schmiedehausen
Modified: 2008-05-06 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 12:56:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Henning Schmiedehausen 2006-11-24 09:13:24 EST
Description of problem:

We use a LDAP setup with the following parameters:

--- cut ---
base o=mycompany.net
bind_policy soft
#nss_connect_policy oneshot
ssl no
pam_password crypt
--- cut ---

That works well. For some reason, we do want to use nss_connect_policy oneshot.
If you uncomment this line, logins are no longer possible. Use 'su' reports:

root# su - henning
su: ../../../libraries/libldap/result.c:113: ldap_result: Assertion `ld !=
((void *)0)' failed.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Set up LDAP for user login
2. Use the example above as /etc/ldap.conf
3. run "su - <username>"
Actual results:

Reports assertion failure as above.

Expected results:

Should change id to <username>. Logins as <username> should be possible.

Additional info:
Comment 1 Bug Zapper 2008-04-04 00:54:33 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 12:56:20 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.